@import url('https://fonts.googleapis.com/css2?family=Montserrat:ital,wght@0,100..900;1,100..900&family=Open+Sans:ital,wght@0,300..800;1,300..800&family=Roboto:ital,wght@0,100;0,300;0,400;0,500;0,700;0,900;1,100;1,300;1,400;1,500;1,700;1,900&display=swap');

* {
    box-sizing: border-box;
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    -o-box-sizing: border-box;
    margin: 0;
    padding: 0;
}

:root {
    /* COLORS */
    --main-color: #EE1450;
    --secondary-color: #EEEDD9;
    --dark-color: #333333;
    --white-color: #f7f7f7;
    --footer-bg: ##E4E5E7;

    --bg-light-color: #F7F7F7;

    /* FONT SIZE */
    --main-title-h1: 52px;
    --section-title-h2: 42px;
    --section-title-h3: 24px;
    --section-title-h4: 21px;
    --section-tite-h5: 22px;
    --menu-text: 16px;
    --body-text: 20px;
    --subtitle-text: 16px;


    /* SPACING */
    --header-height: 100px;
    --section-block-space: 100px;
    --hero-sapce: 140px;
}

html {
    scroll-behavior: smooth;
}

body {
    font-family: "Open Sans", sans-serif;
}

html,
body,
div,
span,
h1,
h2,
h3,
h4,
h5,
h6,
p,
img,
ul,
li,
form,
label,
nav,
ul {
    margin: 0;
    padding: 0;
    border: 0;
    outline: 0;
}


h1,
h2,
h3,
h4,
h5,
h6 {
    color: var(--main-color);
    font-family: "Oswald", sans-serif;
    font-weight: 400;
}

a,
a:focus,
a:hover {
    outline: none !important;
    text-decoration: none;
}

img {
    max-width: 100%;
}

ul,
li {
    list-style: none;
}

.site-section {
    padding-block: var(--section-block-space);
}

.site-container {
    width: 100%;
    max-width: 1240px;
    margin-inline: auto;
    padding-inline: 20px;
}

/* ================== CSS Prefix ================== */


/* CSS COMMON CLASSES */
.main-title-h1 {
    font-size: var(--main-title-h1);
}


.section-title-h2 {
    font-size: var(--section-title-h2);
}


.section-title-h3 {
    font-size: var(--section-title-h3);
}

.section-title-h4 {
    font-size: var(--section-title-h4);
    text-transform: uppercase;
}

.section-title-h5 {
    font-size: var(--section-title-h5);
}

.menu-text {
    font-size: var(--menu-text);
}

.body-text {
    font-size: var(--body-text);
    font-weight: 400;
}

.subtitle-text {
    font-size: var(--subtitle-text);
    text-transform: uppercase;
    letter-spacing: 1px;
}


.site-content {
    display: flex;
    flex-direction: column;
    gap: 10px;
}

/* COLORS AND BACKGROUNDS */
.bg-main {
    background-color: var(--main-color);
}

.bg-sec {
    background: var(--secondary-color);
}

.bg-dark {
    background: var(--dark-color);
}

.bg-light {
    background: var(--bg-light-color);
}

.text-main {
    color: var(--main-color);
}

.text-sec {
    color: var(--secondary-color);
}

.text-dark {
    color: var(--dark-color);
}

.text-light {
    color: var(--light-color);
}

.text-center {
    text-align: center;
}

.text-end {
    text-align: end;
}


/* ROW AND COL */
.site-row {
    display: flex;
    gap: 30px;
}

.site-col {
    flex: 1;
}

.btn {
    display: inline-block;
    color: var(--white-color);
    background-color: var(--main-color);
    padding: 14px 40px;
    margin-right: auto;
}

/* -------------------------------------------------------HEADER------------------------------------------------------- */

.header-wrap,
.menu,
.shop-icons {
    display: flex;
    justify-content: space-between;
    align-items: center;
    gap: 40px;
}

.menu a {
    color: var(--white-color);
    font-size: var(--menu-text);
}

/*------------------------------------------------- HERO-SECTION------------------------------------------------- */
.top-bar,
.header-wrap {
    padding-block: 10px;
}

.hero-section {
    background: url(../images/hero-img.png);
    background-repeat: no-repeat;
    background-size: cover;
    padding-top: 100px;
    padding-bottom: 250px;
}

.hero-section .site-content, .common-section-01 .site-content {
    max-width: 688px;
    width: 100%;
}

.common-section-01 {
    margin-block: var(--section-block-space);
}

/*-------------------------------------------- PRODUCT BENEFIT  --------------------------------------------*/
.product-benefits {
    padding-block: var(--section-block-space);
}

.product {
    text-align: center;
    align-items: center;
}

.product img {
    width: 100px;
}

.common-section-01 {
    background: url(../images/common-section-01.png);
    background-repeat: no-repeat;
    background-size: cover;
    padding-block: 100px;
}

/*------------------------------ Worldwide FAashion ------------------------------*/

.fashion-left {
    background-image: url(pics/left.jpg);
    height: 100%;
}

/*---------------------------------- Collection Section ----------------------------------*/
.collection-section {
    padding-block: var(--section-block-space);
}

.collection-section h2 {
    width: 150px;
}


.collection-section span {
    color: #585956;
    text-decoration: line-through;
    text-decoration-color: #585956a9;
}

.collection-section span, .beauty-care-section span  {
    font-size: var(--menu-text);
}


/*--------------------------------------- Pure And Simple ---------------------------------------*/
.simple-pure-section {
    align-items: center;
}

.simple-right {
    flex: 2;
}

.lotion-props {
    display: flex;
    align-items: center;
    gap: 20px;
    justify-content: space-between;
    max-width: 400px;
    width: 100%;
}

.lotion-props .row {
    display: flex;
    margin-block: 10px;
    gap: 15px;
    align-items: center;
}

/*---------------------------------- Beauty Care Products ----------------------------------*/
.beauty-care-section .menu {
    justify-content: center;
    margin-bottom: 20px;
}

.beauty-care-section a {
    color: var(--dark-color);
}

.beauty-care-section .site-content {
    text-align: center;
}

/* ----------------------------------------------FOOTER---------------------------------------------- */
.H-

.contact-us-section {
    background: #E4E5E7;
    padding-block: 50px;
}

.contact-us-section .site-row,
.copyright-section .site-row {
    align-items: center;
}

.contact-us-section .body-text,
.copyright-section .body-text {
    font-size: var(--menu-text);
}

.contact-us-section .email {
    text-align: right;
}

.copyright-section {
    background-color: #C9C2C0;
    padding-block: 25px;
}

.copyright-section .site-row {
    justify-content: space-between;
}

.copyright-section .body-text {
    color: var(--main-color);
}

.concept-text {
    color: #585956 !important; 
}

/* ---------------------------- personal Products ---------------------------- */

.bg-secondary {
    background-image: url(pics/bg-secondery.jpg);
    background-size: cover;
}

.personal-product {
    padding-block: var(--section-block-space);
    max-width: 664px;
    width: 100%;
}

/*-------------------------------------------------------- FOOTER-SECTION --------------------------------------------------------*/
.h-logo {
    background: #E1DDDC;
}

.bg-menu {
    background-color: rgba(201, 194, 192, 1);
}


.qucik-link-section {
    background-color: #C9C2C0;
}

.footer-menu {
    display: flex;
    flex-direction: column;
    justify-content: end;
    gap: 10px;
    background-color: var(--white-color);
    border: 1px solid var(--main-color);
    padding-inline: 20px;
    padding: 60px 20px;
}

.footer-menu a {
    color: var(--main-color);
    font-size: var(--menu-text)
}

.text-right li {
    text-align: right;
}

.service-box {
    display: flex;
    flex-direction: column;
    gap: 18px;
    align-items: center;
    background-color: var(--main-color);
    padding: 20px;
}

.quick-link-logo {
    width: 200px;
}

.service-box a {
    color: var(--white-color);
    font-size: var(--menu-text);
}

.service-box .btn {
    background-color: var(--white-color);
    color: var(--main-color);
    margin: auto;
    font-weight: bold;
}

.payment-delivery-section {
    background-color: #8C7F7C;
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 50px;
    padding-block: 10px;
}

.adg-brand-footer-left {
    display: flex;
    align-items: center;
    gap: 30px;
    flex: 2;
}

.adg-brand-footer-left .address {
    color: #2F2F85;
    max-width: 350px;
}



.bg-menu, .contact-us-section {
    padding-block: 20px;
}

.contact-us-section {
    background-color: #E4E5E7;
}

.TheDigiters {
    color: black;
}

.dot {
    color: orangered;
}



/* Just for Coming soon */
.coming-soon-wrap{
    padding: 150px 20px;
    text-align: center;
}
.coming-soon-wrap h1{
    font-size: 46px;
    font-weight: bold;
}

.top-bar, .header-wrap{
    justify-content: center;
}
/* Just for Coming soon */


@media only screen and (max-width: 763px) {
    :root {
        /* FONT SIZE */
    --main-title-h1: 32px;
    --section-title-h2: 28px;
    --section-title-h3: 20px;
    --menu-text: 14px;
    --body-text: 14px;
    --subtitle-text: 16px;


    /* SPACING */
    --header-height: 100px;
    --section-block-space: 70px;
    --hero-sapce: 140px;
    }

    .site-row, .payment-delivery-section, .adg-brand-footer-left {
        flex-direction: column;
        gap: 30px;
    }

    .btn {
        padding: 8px 20px;
    }

    .top-bar, .menu, .shop-icons {
        display: none;
    }

    .hero-section {
        padding-block: 70px;
    }

    .product img {
        width: 50px;
    }
    
    .common-section-01 {
        padding-block: 70px;
        margin-block: 20px;
    }

    .beauty-care-section h2 {
        margin-bottom: 20px;
    }

    .collection-section {
        align-items: center;
    }

    .collection-section h2 {
        width: 100%;
    }

    .copyright-section .site-row {
        gap: 10px;
    }

    .text-right li {
        text-align: initial;
    }

    .product-benefits {
        gap: 40px;
    }

    .footer-menu {
        padding: 20px;
    }
    
    .email img {
        display: block;
    }


    /* Just for Coming soon */
    .coming-soon-wrap{
        padding: 80px 20px;
    }
    .coming-soon-wrap h1{
        font-size: 26px;
    }
    /* Just for Coming soon */
    

}